## compat-el 28.1.2.2+dfsg

=== Makefile ===
.POSIX:
.PHONY: all compile test clean
.SUFFIXES: .el .elc

EMACS = emacs
MAKEINFO = makeinfo
BYTEC = compat-help.elc \
	compat-font-lock.elc \
	compat-macs.elc \
	compat-24.elc \
	compat-25.elc \
	compat-26.elc \
	compat-27.elc \
	compat-28.elc \
	compat.elc

all: compile

compile: $(BYTEC)

test: compile
	$(EMACS) --version
	$(EMACS) -Q --batch -L . -l compat-tests.el -f ert-run-tests-batch-and-exit

clean:
	$(RM) $(BYTEC) compat.info

compat-24.el:	compat-macs.el
compat-25.el:	compat-macs.el
compat-26.el:	compat-macs.el
compat-27.el:	compat-macs.el
compat-28.el:	compat-macs.el
compat-font-lock.el: compat-macs.el

.el.elc:
	$(EMACS) -Q --batch -L . -f batch-byte-compile $<

compat.info: compat.texi
	$(MAKEINFO) $<

=== debian/changelog ===
compat-el (28.1.2.2+dfsg-2) unstable; urgency=medium

  * Source-only upload.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 04 Oct 2022 14:36:36 -0700

compat-el (28.1.2.2+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #1016948).

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Sat, 03 Sep 2022 19:46:33 +0200

=== debian/control ===
Source: compat-el
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Aymeric Agon-Rambosson <aymeric.agon@yandex.com>
Build-Depends: debhelper-compat (= 13),
 dh-elpa,
Standards-Version: 4.5.1
Homepage: https://git.sr.ht/~pkal/compat
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-elpa
Vcs-Browser: https://salsa.debian.org/emacsen-team/compat-el
Vcs-Git: https://salsa.debian.org/emacsen-team/compat-el.git

Package: elpa-compat
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Description: COMPATibility Library for Emacs
 The intended audience of this library aren't day-to-day users, but package
 developers that wish to make use of newer functionality, not provided in older
 versions of Emacs, without breaking compatibility for users bound to specific
 Emacs releases.

=== debian/watch ===
version=4
opts=uversionmangle=s%compat/archive/%%,\
    dversionmangle=s%\+dfsg\d*$%% \
    https://git.sr.ht/~pkal/compat (.+).tar.gz debian

## compat-el 29.1.3.1+dfsg

=== Makefile ===
.POSIX:
.PHONY: all compile test clean
.SUFFIXES: .el .elc

EMACS = emacs
MAKEINFO = makeinfo
BYTEC = compat-25.elc \
	compat-26.elc \
	compat-27.elc \
	compat-28.elc \
	compat-29.elc \
	compat.elc \
	compat-macs.elc \
	compat-tests.elc

all: compile

compile: $(BYTEC)

test:
	$(EMACS) --version
	$(EMACS) -Q --batch -L . -l compat-tests.el -f ert-run-tests-batch-and-exit

clean:
	$(RM) $(BYTEC) compat.info

$(BYTEC): compat-macs.el

.el.elc:
	@echo "Compiling $<"
	@$(EMACS) -Q --batch -L . \
		--eval '(setq compat-strict t byte-compile-error-on-warn (< emacs-major-version 30))' \
		-f batch-byte-compile $<

compat.info: compat.texi
	$(MAKEINFO) $<

=== debian/changelog ===
compat-el (29.1.3.1+dfsg-2) unstable; urgency=medium

  * Add unbreak-test-string-search-32bit.diff to repair test for armel,
    armhf and i386.

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Sat, 28 Jan 2023 01:31:36 +0100

compat-el (29.1.3.1+dfsg-1) unstable; urgency=medium

  [ Aymeric Agon-Rambosson ]
  * New upstream release.
  * Add explicit Recommends: emacs to elpa-compat.
  * d/control: Bump Standards-Version to 4.6.1 (no changes required).
  * d/control, d/copyright, d/watch: Update upstream repo.
  * d/copyright: Update copyright years.
  * d/elpa: Reflect changes to upstream shipped files.
  * Add d/elpa-test to reflect absence of home directory during build.
  * Add unbreak-test-package-get-version.diff to condition test to correct
    containing directory.

  [ Lev Lamberov ]
  * Team upload
  * Add gbp.conf to properly handle upstream version tags and pristine-tar
  * Declare Standards-Version 4.6.2 (no changes needed)
  * Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 26 Jan 2023 20:54:11 +0500

## compat-el 29.1.3.2+dfsg

=== debian/changelog ===
compat-el (29.1.3.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop unbreak-test-string-search-32bit.diff (applied upstream).

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Tue, 07 Feb 2023 01:57:59 +0100

## compat-el 29.1.3.4+dfsg

=== Makefile ===
--- 
+++ 
@@ -24,6 +24,12 @@
 clean:
 	$(RM) $(BYTEC) compat.info
 
+check:
+	@echo "Check: All definitions must be marked with tests"
+	@! (grep -P "^\\(compat-(def|guard)" *.el | grep -v "compat-tests:")
+	@echo "Check: All definitions must use (compat-def* macros"
+	@! (grep -P "^\\(def" compat-[0-9][0-9].el)
+
 $(BYTEC): compat-macs.el
 
 .el.elc:

=== debian/changelog ===
compat-el (29.1.3.4+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Mon, 27 Feb 2023 16:46:34 +0100

## compat-el 29.1.4.1

=== Makefile ===
--- 
+++ 
@@ -35,7 +35,7 @@
 .el.elc:
 	@echo "Compiling $<"
 	@$(EMACS) -Q --batch -L . \
-		--eval '(setq compat-strict t byte-compile-error-on-warn (< emacs-major-version 30))' \
+		--eval '(setq compat-strict t byte-compile-error-on-warn t)' \
 		-f batch-byte-compile $<
 
 compat.info: compat.texi

=== debian/changelog ===
compat-el (29.1.4.1-2) unstable; urgency=medium

  * Team upload.
  * d/p/unbreak-test-package-get-version.diff: Reintroduce patch.
    It's actually needed for dep8 tests to pass.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Thu, 15 Jun 2023 14:24:08 -0400

compat-el (29.1.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 29.1.4.1
  * d/p/unbreak-test-package-get-version.diff: Remove unnecessary patch.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Wed, 14 Jun 2023 19:42:41 -0400

## compat-el 29.1.4.2+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 .POSIX:
-.PHONY: all compile test clean
+.PHONY: all compile test clean check
 .SUFFIXES: .el .elc
 
 EMACS = emacs
@@ -25,10 +25,18 @@
 	$(RM) $(BYTEC) compat.info
 
 check:
-	@echo "Check: All definitions must be marked with tests"
+	@echo "Check: All definitions must link to a test"
 	@! (grep -P "^\\(compat-(def|guard)" *.el | grep -v "compat-tests:")
-	@echo "Check: All definitions must use (compat-def* macros"
+	@echo "Check: All definitions must use compat-def* macros"
 	@! (grep -P "^\\(def" compat-[0-9][0-9].el)
+	@echo "Check: Test links must be valid"
+	@grep "(ert-deftest compat-" compat-tests.el | \
+		grep -E -v "\\(ert-deftest compat-(function|loaded-features) \\(\\)" | \
+		sed -E "s/\\(ert-deftest compat-| \\(\\).*//g" | sort > /tmp/compat-defs
+	@grep "compat-tests:" *.el | \
+		sed -E "s/.*<compat-tests:(.+?)>|.*\\[\\[compat-tests:(.+?)\\]\\]/\1\2/g" | \
+		sort | uniq > /tmp/compat-links
+	@ (diff /tmp/compat-defs /tmp/compat-defs)
 
 $(BYTEC): compat-macs.el

=== debian/changelog ===
compat-el (29.1.4.2+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Sat, 16 Sep 2023 05:29:48 +0200

## compat-el 29.1.4.3+dfsg

=== debian/changelog ===
compat-el (29.1.4.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Fri, 10 Nov 2023 08:33:30 +0100

## compat-el 29.1.4.4+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,35 @@
+### Makefile
+
+# Copyright (C) 2021-2023 Free Software Foundation, Inc.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <https://www.gnu.org/licenses/>.
+
+### Commentary:
+
+# The Makefile is an internal tool used for Compat development and
+# checking on the continuous integration system.
+
+# make all/compile   Compile Elisp files without no-byte-compile marking
+# make force-compile Compile *all* Elisp files to check for warnings
+# make clean         Delete compiled *.elc and *.info files
+# make test          Run the test suite
+# make check         Sanity checking of the test suite
+
+### Code:
+
 .POSIX:
-.PHONY: all compile test clean check
+.PHONY: all compile force-compile test clean check
 .SUFFIXES: .el .elc
 
 EMACS = emacs
@@ -17,6 +47,11 @@
 
 compile: $(BYTEC)
 
+force-compile:
+	@sed -i "s/ no-byte-compile: t;/ no-byte-compile: nil;/" $(BYTEC:.elc=.el)
+	@$(MAKE) compile
+	@sed -i "s/ no-byte-compile: nil;/ no-byte-compile: t;/" $(BYTEC:.elc=.el)
+
 test:
 	$(EMACS) --version
 	$(EMACS) -Q --batch -L . -l compat-tests.el -f ert-run-tests-batch-and-exit
@@ -26,15 +61,15 @@
 
 check:
 	@echo "Check: All definitions must link to a test"
-	@! (grep -P "^\\(compat-(def|guard)" *.el | grep -v "compat-tests:")
+	@! (grep -E "^\\(compat-(def|guard)" *.el | grep -v "compat-tests:")
 	@echo "Check: All definitions must use compat-def* macros"
-	@! (grep -P "^\\(def" compat-[0-9][0-9].el)
+	@! (grep -E "^\\(def" compat-[0-9][0-9].el)
 	@echo "Check: Test links must be valid"
 	@grep "(ert-deftest compat-" compat-tests.el | \
 		grep -E -v "\\(ert-deftest compat-(function|loaded-features) \\(\\)" | \
 		sed -E "s/\\(ert-deftest compat-| \\(\\).*//g" | sort > /tmp/compat-defs
 	@grep "compat-tests:" *.el | \
-		sed -E "s/.*<compat-tests:(.+?)>|.*\\[\\[compat-tests:(.+?)\\]\\]/\1\2/g" | \
+		sed -E "s/.*<compat-tests:([^)]+)>|.*\\[\\[compat-tests:([^)]+)\\]\\]/\1\2/g" | \
 		sort | uniq > /tmp/compat-links
 	@ (diff /tmp/compat-defs /tmp/compat-defs)

=== debian/changelog ===
compat-el (29.1.4.4+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Sat, 18 Nov 2023 22:54:27 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Aymeric Agon-Rambosson <aymeric.agon@yandex.com>
 Build-Depends: debhelper-compat (= 13),
  dh-elpa,
-Standards-Version: 4.5.1
-Homepage: https://git.sr.ht/~pkal/compat
+Standards-Version: 4.6.2
+Homepage: https://github.com/emacs-compat/compat
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 Vcs-Browser: https://salsa.debian.org/emacsen-team/compat-el
@@ -15,6 +15,7 @@
 Package: elpa-compat
 Architecture: all
 Depends: ${elpa:Depends}, ${misc:Depends}
+Recommends: emacs
 Description: COMPATibility Library for Emacs
  The intended audience of this library aren't day-to-day users, but package
  developers that wish to make use of newer functionality, not provided in older

## compat-el 29.1.4.5+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ### Makefile
 
-# Copyright (C) 2021-2023 Free Software Foundation, Inc.
+# Copyright (C) 2021-2024 Free Software Foundation, Inc.
 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== debian/changelog ===
compat-el (29.1.4.5+dfsg-1) unstable; urgency=medium

  [ Xiyue Deng ]
  * New upstream release.
  * Add Upstream-Contact in d/copyright.
  * Add d/upstream/metadata.

  [ Aymeric Agon-Rambosson ]
  * Team upload (Closes: #1067408).
  * d/copyright: Bump copyright years.

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Thu, 21 Mar 2024 22:28:00 +0100

## compat-el 30.0.0.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -39,6 +39,7 @@
 	compat-27.elc \
 	compat-28.elc \
 	compat-29.elc \
+	compat-30.elc \
 	compat.elc \
 	compat-macs.elc \
 	compat-tests.elc

=== debian/changelog ===
compat-el (30.0.0.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 17:50:47 +0900

compat-el (30.0.0.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.3.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 24 Jul 2024 21:35:02 +0900

compat-el (30.0.0.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patch.
  * Add compat-30.el to d/elpa.

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Tue, 23 Jul 2024 04:18:42 +0200

## compat-el 30.0.1.0+dfsg

=== debian/changelog ===
compat-el (30.0.1.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0 (no changes required).

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Wed, 18 Dec 2024 01:32:32 +0100

## compat-el 30.0.2.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ### Makefile
 
-# Copyright (C) 2021-2024 Free Software Foundation, Inc.
+# Copyright (C) 2021-2025 Free Software Foundation, Inc.
 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== debian/changelog ===
compat-el (30.0.2.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.7.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2025/02/msg00192.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 02 Mar 2025 15:10:17 +0800

compat-el (30.0.2.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Fri, 10 Jan 2025 19:33:34 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Aymeric Agon-Rambosson <aymeric.agon@yandex.com>
 Build-Depends: debhelper-compat (= 13),
  dh-elpa,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/emacs-compat/compat
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa

## compat-el 30.1.0.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -31,6 +31,12 @@
 .POSIX:
 .PHONY: all compile force-compile test clean check
 .SUFFIXES: .el .elc
+
+ifeq ($(CI),true)
+        STRICT = --eval '(setq compat-strict t byte-compile-error-on-warn t)'
+else
+        STRICT =
+endif
 
 EMACS = emacs
 MAKEINFO = makeinfo
@@ -72,15 +78,13 @@
 	@grep "compat-tests:" *.el | \
 		sed -E "s/.*<compat-tests:([^)]+)>|.*\\[\\[compat-tests:([^)]+)\\]\\]/\1\2/g" | \
 		sort | uniq > /tmp/compat-links
-	@ (diff /tmp/compat-defs /tmp/compat-defs)
+	@diff /tmp/compat-defs /tmp/compat-links
 
 $(BYTEC): compat-macs.el
 
 .el.elc:
 	@echo "Compiling $<"
-	@$(EMACS) -Q --batch -L . \
-		--eval '(setq compat-strict t byte-compile-error-on-warn t)' \
-		-f batch-byte-compile $<
+	@$(EMACS) -Q --batch -L . $(STRICT) -f batch-byte-compile $<
 
 compat.info: compat.texi
 	$(MAKEINFO) $<

=== debian/changelog ===
compat-el (30.1.0.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2 (no changes required).

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Sat, 05 Apr 2025 12:09:17 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Aymeric Agon-Rambosson <aymeric.agon@yandex.com>
 Build-Depends: debhelper-compat (= 13),
  dh-elpa,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/emacs-compat/compat
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa

=== debian/watch ===
version=4
opts=uversionmangle=s%compat/archive/%%,\
    dversionmangle=s%\+dfsg\d*$%% \
    https://github.com/emacs-compat/compat/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
